Get audio file URL
curl --request GET \
--url https://api.coval.dev/v1/conversations/simulated/{simulation_id}/audio \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/conversations/simulated/{simulation_id}/audio"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/conversations/simulated/{simulation_id}/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audio_url": "https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.wav?X-Amz-Signature=...",
"simulation_id": "def456ghi012",
"url_expires_in_seconds": 3600,
"peaks_url": "https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.peaks.json?X-Amz-Signature=..."
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing API Key",
"details": [
{
"field": "X-API-Key",
"description": "X-API-Key header is required"
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Agent not found",
"details": [
{
"field": "agent_id",
"description": "Agent 'gk3jK9mPq2xRt5vW8yZaBc' does not exist"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred. Please contact support."
}
]
}
}Simulated Conversations
Get audio file URL
Get a download URL for the simulation audio recording.
GET
/
conversations
/
simulated
/
{simulation_id}
/
audio
Get audio file URL
Authorizations
API key for authentication.
Path Parameters
The simulation ID
Required string length:
22 - 27Response
Presigned audio URL
Presigned S3 URL for audio file download (valid for 1 hour)
Example:
"https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.wav?X-Amz-Signature=..."
Simulation identifier
Example:
"def456ghi012"
URL expiration time in seconds (3600 = 1 hour)
Example:
3600
Presigned S3 URL for precomputed waveform peaks JSON (valid for 1 hour). Contains an array of up to 800 [min, max] amplitude pairs for waveform visualization. Null for older recordings without precomputed peaks. May return 404 if peaks were not generated for this recording.
Example:
"https://coval-voice-evals-prod.s3.amazonaws.com/audio/abc123.peaks.json?X-Amz-Signature=..."
Was this page helpful?